## org.apache.fop.viewer
Class LoadableProperties

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--org.apache.fop.viewer.LoadableProperties

public class LoadableProperties
extends java.util.Hashtable

Erweitert Hashtable um die Methode load. Die Zeilen der Textdatei, die mit # oder ! anfangen sind Kommentarzeilen. Eine gültige Zeile ist entweder eine Kommentarzeile oder eine Zeile mit dem Gleichheitszeichen "in der Mitte". Die Klasse LoadableProperties lässt im Gegensatz zu der Klasse Properties die Schlüsselwerte mit Leerzeichen zu.

Version:
  02.12.99
Author:
  Stanislav.Gorkhover@jCatalog.com
See Also:
  Serialized Form

Constructor Summary
`LoadableProperties()`

Method Summary
`void` `load(java.io.InputStream inStream)`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoadableProperties

    public LoadableProperties()

Method Detail

### load

    public void load(java.io.InputStream inStream)
              throws java.io.IOException

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.